/**
 * @(#)file    LibXmlHandler.java
 * @(#)author  
 * @(#)version 
 * @(#)date    
 * @(#)since   
 */
package kr.co.udapsoft.ebid.supplier.portal.common.lib;

import javax.servlet.http.HttpServletRequest;

import com.udapsoft.waf.system.handler.BizDefaultXmlActionHandler;
import com.udapsoft.waf.system.handler.dao.EventMappings;

public class LibXmlHandler extends BizDefaultXmlActionHandler {

	private static EventMappings eventMappings;
	
	public LibXmlHandler() {
		super();
		if( eventMappings == null )
			eventMappings = super.loadEventMapping(this.getClass());
	}

	public String doHandle(HttpServletRequest request) {
		return super.doXmlHandle(request, eventMappings);
	}
}
